# Generated from html_tags-0.1.120.gem by gem2rpm -*- rpm-spec -*-
%global gem_name html_tags

Name: rubygem-%{gem_name}
Version: 0.1.120
Release: 1%{?dist}
Summary: This library is called html_tags.  Its basic core idea is to collect all valid html tags into a single project, and then make this data available to other projects.  Other ideas are to autogenerate closing tags (helper methods), and of course to generate string representations of these html tags. This can then be used by other  web-projects.  A simple usage example follows:  require 'html_tags' HtmlTags.p 'hello world!' # => "<p> hello world! </p>"  Since Version 0.0.10 (April 2014) we can also now query whether a string contains only valid HTML tags or whether it does not
License: MIT
URL: https://rubygems.org/gems/html_tags
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.3.7
BuildRequires: ruby >= 2.7.6
BuildArch: noarch

%description
This library is called html_tags.
Its basic core idea is to collect all valid html tags into
a single project, and then make this data available to other
projects.
Other ideas are to autogenerate closing tags (helper
methods), and of course to generate string representations
of these html tags. This can then be used by other 
web-projects.
A simple usage example follows:
require 'html_tags'
HtmlTags.p 'hello world!' # => "<p>
hello world!
</p>"
Since Version 0.0.10 (April 2014) we can also now query
whether a string contains only valid HTML tags or whether
it does not.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/USAGE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/html_tags.gemspec
%{gem_instdir}/test

%changelog
* Sun Oct 02 2022 mockbuilder - 0.1.120-1
- Initial package
